#
# Main Makefile for the Rule Set Based Access Control subsystem.
#
# Author and (c) 1999-2001 Amon Ott
#
# Note! Dependencies are done automagically by 'make dep', which also
# removes any old dependencies. DON'T put your own dependencies here
# unless it's something special (ie not a .c file).
#
# Note 2! The CFLAGS definitions are now in the main makefile...

ifeq ($(TOPDIR),)
TOPDIR=..
endif

O_TARGET     := rsbac.o

ifeq ($(PATCHLEVEL),2)

O_OBJS       = $(join $(SUB_DIRS),$(SUB_DIRS:%=/%.o))
SUB_DIRS     := help data_structures adf
MOD_SUB_DIRS := adf
ALL_SUB_DIRS := $(SUB_DIRS)

else

subdir-y     := help data_structures adf
subdir-m     := adf
obj-y        := $(join $(subdir-y),$(subdir-y:%=/%.o))

endif


include $(TOPDIR)/Rules.make

clean:	Makefile
	rm -f `find . -name '*.o' -print`

